QGIS Application - Bug report #12617
Join without caching do not work with Spatialite tables
2015-04-21 06:36 AM - Admire Nyakudya

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20735
Description

| have two layers loaded in qgis called list(non spatial) and structure (spatial) all coming from spatialite. Creating a join between the layers
only works when the join is cached. When | create the join as non cached the join does not work as it appends to the first attribute in the
table | am joining to. | have tested with layers coming from Postgres and it works well. | have tested this behavior in both Ubuntu 14.10

and windows 7.

History

#1 - 2015-04-26 01:57 AM - Giovanni Manghi

- Affected QGIS version changed from 2.8.1 to master

- Subject changed from spatialite dynamic join to Join without caching do not work with Spatialite tables
- Target version changed from Version 2.8.1 to Version 2.8.2

- Operating System deleted (Ubuntu )

- OS version deleted (14.10)

Confirmed on master too. Seems like it never worked as expected (tested down to 2.0.1).

#2 - 2015-05-14 03:03 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Veersion 2.10

#3 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#4 - 2016-06-09 09:55 PM - Nyall Dawson

- Status changed from Open to Feedback

Is this still reproducible on current master? | can't replicate it

#5 - 2016-06-10 01:54 AM - Admire Nyakudya

I have tested in current master and it is fixed. Has it been back ported to 2.14 yet because i still see the error in 2.14.1

#6 - 2016-06-12 08:08 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
Unsure about 2.14. I'll backport a bunch of possibly related fixes and hopefully it will include the change which fixed this.
